##### 7.7.14.0. appendWeight2Ord

Procedure from library `ncpreim.lib` (see ncpreim_lib).

Usage:
  appendWeight2Ord(w); w an intvec

Return:
  ring, the basering equipped with the ordering (a(w),<), where < is the ordering of the basering.

Example:

    LIB "ncpreim.lib";
    ring r = 0,(a,b,x,d),Dp;
    intvec w = 1,2,3,4;
    def r2 = appendWeight2Ord(w); // for a commutative ring
    r2;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering a
    ==> //                  : names    a b x d
    ==> //                  : weights  1 2 3 4
    ==> //        block   2 : ordering Dp
    ==> //                  : names    a b x d
    ==> //        block   3 : ordering C
    matrix D[4][4];
    D[1,2] = 3*a;  D[1,4] = 3*x^2;  D[2,3] = -x;
    D[2,4] = d;    D[3,4] = 1;
    def A = nc_algebra(1,D);
    setring A; A;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering Dp
    ==> //                  : names    a b x d
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    ba=ab+3a
    ==> //    da=ad+3x2
    ==> //    xb=bx-x
    ==> //    db=bd+d
    ==> //    dx=xd+1
    w = 2,1,1,1;
    def B = appendWeight2Ord(w);  // for a non-commutative ring
    setring B; B;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering a
    ==> //                  : names    a b x d
    ==> //                  : weights  2 1 1 1
    ==> //        block   2 : ordering Dp
    ==> //                  : names    a b x d
    ==> //        block   3 : ordering C
    ==> //   noncommutative relations:
    ==> //    ba=ab+3a
    ==> //    da=ad+3x2
    ==> //    xb=bx-x
    ==> //    db=bd+d
    ==> //    dx=xd+1

User manual for Singular version 4-0-3, 2016, generated by texi2html.